Cubase 5.5.3 + Presonus AudioBox USB + OSX 10.9 = HELP!!!

I guess I should have waited to upgrade to 10.9 but free was the right price and now I’m unable to use my newly purchased Presonus AudioBox USB with Cubase 5.5.3…

Please tell me there will be some sort of update or patch to fix this problem! And, if there is a patch on the way, when do you think it will be out?

Is there any way I could get an email when the fix comes out so I can download and install it right away?

Thanks!

Hello Steinberg! There are many of us out here waiting for some information on OSX 10.9 compatibility. Anybody?

Thanks.

http://www.steinberg.net/forums/viewtopic.php?f=181&t=49277

I know about the link… I think we’ve all found that. It just says we’re working on it basically. How long might it take to develop a fix? Are we left to wait weeks? months? ever? Any additional information on your progress would be helpful. Personally, I just got a new interface and now it doesn’t work. I would like to know if I should take it back or wait it out until the fix comes out…

On another personal note, I know I only have Cubase 5.5.3 but from what I’ve read it seems to be the same problem (CoreAudio, Class-Compliant devices, etc) for Cubase 5.5.3 through 7.0.6. I hope the new patch will fix older versions of Cubase as well.

Again - Any more specific information would be appreciated - Thanks!

+1

Ummm!
My Cubase 5.xx fully compatible with Mac OS 10.9???

Now there is a Steiny developers trick I’d love to see.

Never say never. :slight_smile:
{’-’}

Actually, Cubase 5.5.3 seems to work completely fine but at this point only if I run it through the built-in-audio. The problem isn’t with the application itself, it’s with the CoreAudio portion and how it interacts with class-compliant hardware. I suspect if I purchased an interface that has a separately installed Mac OS X driver it would work just fine.

The thing is, I didn’t buy one of those interfaces and I would want to know which ones actually work before taking this one back and buying a new one.

I’m fine with the idea of upgrading but the thing is, the newest version of Cubase has the same problems